/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
/** Generated Model - DO NOT CHANGE */
package jpiere.plugin.webui.sso.model;

import java.sql.ResultSet;
import java.util.Properties;
import org.compiere.model.*;

/** Generated Model for JP_SAML_Config
 *  @author iDempiere (generated) 
 *  @version Release 6.2 - $Id$ */
public class X_JP_SAML_Config extends PO implements I_JP_SAML_Config, I_Persistent 
{

	/**
	 *
	 */
	private static final long serialVersionUID = 20190608L;

    /** Standard Constructor */
    public X_JP_SAML_Config (Properties ctx, int JP_SAML_Config_ID, String trxName)
    {
      super (ctx, JP_SAML_Config_ID, trxName);
      /** if (JP_SAML_Config_ID == 0)
        {
			setIsVerboseJP (false);
// N
			setJP_SAML_AvailablePeriod (0);
// 10
			setJP_SAML_Config_ID (0);
			setJP_SAML_Parameter (null);
// client
			setJP_SAML_Parameter_Value (null);
			setJP_SAML_Redirect_URL (null);
			setJP_SAML_ServletFile (null);
// saml.zul
        } */
    }

    /** Load Constructor */
    public X_JP_SAML_Config (Properties ctx, ResultSet rs, String trxName)
    {
      super (ctx, rs, trxName);
    }

    /** AccessLevel
      * @return 7 - System - Client - Org 
      */
    protected int get_AccessLevel()
    {
      return accessLevel.intValue();
    }

    /** Load Meta Data */
    protected POInfo initPO (Properties ctx)
    {
      POInfo poi = POInfo.getPOInfo (ctx, Table_ID, get_TrxName());
      return poi;
    }

    public String toString()
    {
      StringBuffer sb = new StringBuffer ("X_JP_SAML_Config[")
        .append(get_ID()).append("]");
      return sb.toString();
    }

	/** Set Description.
		@param Description 
		Optional short description of the record
	  */
	public void setDescription (String Description)
	{
		set_Value (COLUMNNAME_Description, Description);
	}

	/** Get Description.
		@return Optional short description of the record
	  */
	public String getDescription () 
	{
		return (String)get_Value(COLUMNNAME_Description);
	}

	/** Set Comment/Help.
		@param Help 
		Comment or Hint
	  */
	public void setHelp (String Help)
	{
		set_Value (COLUMNNAME_Help, Help);
	}

	/** Get Comment/Help.
		@return Comment or Hint
	  */
	public String getHelp () 
	{
		return (String)get_Value(COLUMNNAME_Help);
	}

	/** Set Verbose.
		@param IsVerboseJP Verbose	  */
	public void setIsVerboseJP (boolean IsVerboseJP)
	{
		set_Value (COLUMNNAME_IsVerboseJP, Boolean.valueOf(IsVerboseJP));
	}

	/** Get Verbose.
		@return Verbose	  */
	public boolean isVerboseJP () 
	{
		Object oo = get_Value(COLUMNNAME_IsVerboseJP);
		if (oo != null) 
		{
			 if (oo instanceof Boolean) 
				 return ((Boolean)oo).booleanValue(); 
			return "Y".equals(oo);
		}
		return false;
	}

	/** Set SAML Assertion Issuer.
		@param JP_SAML_Assertion_Issuer SAML Assertion Issuer	  */
	public void setJP_SAML_Assertion_Issuer (String JP_SAML_Assertion_Issuer)
	{
		set_Value (COLUMNNAME_JP_SAML_Assertion_Issuer, JP_SAML_Assertion_Issuer);
	}

	/** Get SAML Assertion Issuer.
		@return SAML Assertion Issuer	  */
	public String getJP_SAML_Assertion_Issuer () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Assertion_Issuer);
	}

	/** Set SAML Assertion Sign PK.
		@param JP_SAML_Assertion_PublicKey SAML Assertion Sign PK	  */
	public void setJP_SAML_Assertion_PublicKey (String JP_SAML_Assertion_PublicKey)
	{
		set_Value (COLUMNNAME_JP_SAML_Assertion_PublicKey, JP_SAML_Assertion_PublicKey);
	}

	/** Get SAML Assertion Sign PK.
		@return SAML Assertion Sign PK	  */
	public String getJP_SAML_Assertion_PublicKey () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Assertion_PublicKey);
	}

	/** Set Response Available Period(Min).
		@param JP_SAML_AvailablePeriod Response Available Period(Min)	  */
	public void setJP_SAML_AvailablePeriod (int JP_SAML_AvailablePeriod)
	{
		set_Value (COLUMNNAME_JP_SAML_AvailablePeriod, Integer.valueOf(JP_SAML_AvailablePeriod));
	}

	/** Get Response Available Period(Min).
		@return Response Available Period(Min)	  */
	public int getJP_SAML_AvailablePeriod () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_JP_SAML_AvailablePeriod);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Artifact Binding = AB */
	public static final String JP_SAML_BINDING_ArtifactBinding = "AB";
	/** Post Binding = PB */
	public static final String JP_SAML_BINDING_PostBinding = "PB";
	/** Redirect Binding = RB */
	public static final String JP_SAML_BINDING_RedirectBinding = "RB";
	/** Set SAML Binding.
		@param JP_SAML_Binding SAML Binding	  */
	public void setJP_SAML_Binding (String JP_SAML_Binding)
	{

		set_Value (COLUMNNAME_JP_SAML_Binding, JP_SAML_Binding);
	}

	/** Get SAML Binding.
		@return SAML Binding	  */
	public String getJP_SAML_Binding () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Binding);
	}

	/** Set SAML Config.
		@param JP_SAML_Config_ID SAML Config	  */
	public void setJP_SAML_Config_ID (int JP_SAML_Config_ID)
	{
		if (JP_SAML_Config_ID < 1) 
			set_ValueNoCheck (COLUMNNAME_JP_SAML_Config_ID, null);
		else 
			set_ValueNoCheck (COLUMNNAME_JP_SAML_Config_ID, Integer.valueOf(JP_SAML_Config_ID));
	}

	/** Get SAML Config.
		@return SAML Config	  */
	public int getJP_SAML_Config_ID () 
	{
		Integer ii = (Integer)get_Value(COLUMNNAME_JP_SAML_Config_ID);
		if (ii == null)
			 return 0;
		return ii.intValue();
	}

	/** Set JP_SAML_Config_UU.
		@param JP_SAML_Config_UU JP_SAML_Config_UU	  */
	public void setJP_SAML_Config_UU (String JP_SAML_Config_UU)
	{
		set_Value (COLUMNNAME_JP_SAML_Config_UU, JP_SAML_Config_UU);
	}

	/** Get JP_SAML_Config_UU.
		@return JP_SAML_Config_UU	  */
	public String getJP_SAML_Config_UU () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Config_UU);
	}

	/** Unspecified = UN */
	public static final String JP_SAML_NAMEIDPOLICY_Unspecified = "UN";
	/** E-Mail Address = EM */
	public static final String JP_SAML_NAMEIDPOLICY_E_MailAddress = "EM";
	/** Kerberos = KB */
	public static final String JP_SAML_NAMEIDPOLICY_Kerberos = "KB";
	/** Entity = ET */
	public static final String JP_SAML_NAMEIDPOLICY_Entity = "ET";
	/** Transient = TR */
	public static final String JP_SAML_NAMEIDPOLICY_Transient = "TR";
	/** Persistent = PT */
	public static final String JP_SAML_NAMEIDPOLICY_Persistent = "PT";
	/** Set Name ID Policy.
		@param JP_SAML_NameIDPolicy Name ID Policy	  */
	public void setJP_SAML_NameIDPolicy (String JP_SAML_NameIDPolicy)
	{

		set_Value (COLUMNNAME_JP_SAML_NameIDPolicy, JP_SAML_NameIDPolicy);
	}

	/** Get Name ID Policy.
		@return Name ID Policy	  */
	public String getJP_SAML_NameIDPolicy () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_NameIDPolicy);
	}

	/** Set SAML Parameter.
		@param JP_SAML_Parameter SAML Parameter	  */
	public void setJP_SAML_Parameter (String JP_SAML_Parameter)
	{
		set_Value (COLUMNNAME_JP_SAML_Parameter, JP_SAML_Parameter);
	}

	/** Get SAML Parameter.
		@return SAML Parameter	  */
	public String getJP_SAML_Parameter () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Parameter);
	}

	/** Set SAML Parameter Value.
		@param JP_SAML_Parameter_Value SAML Parameter Value	  */
	public void setJP_SAML_Parameter_Value (String JP_SAML_Parameter_Value)
	{
		set_Value (COLUMNNAME_JP_SAML_Parameter_Value, JP_SAML_Parameter_Value);
	}

	/** Get SAML Parameter Value.
		@return SAML Parameter Value	  */
	public String getJP_SAML_Parameter_Value () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Parameter_Value);
	}

	/** Set SAML Redirect URL.
		@param JP_SAML_Redirect_URL SAML Redirect URL	  */
	public void setJP_SAML_Redirect_URL (String JP_SAML_Redirect_URL)
	{
		set_Value (COLUMNNAME_JP_SAML_Redirect_URL, JP_SAML_Redirect_URL);
	}

	/** Get SAML Redirect URL.
		@return SAML Redirect URL	  */
	public String getJP_SAML_Redirect_URL () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Redirect_URL);
	}

	/** Set SAML Request Issuer.
		@param JP_SAML_Request_Issuer SAML Request Issuer	  */
	public void setJP_SAML_Request_Issuer (String JP_SAML_Request_Issuer)
	{
		set_Value (COLUMNNAME_JP_SAML_Request_Issuer, JP_SAML_Request_Issuer);
	}

	/** Get SAML Request Issuer.
		@return SAML Request Issuer	  */
	public String getJP_SAML_Request_Issuer () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Request_Issuer);
	}

	/** Set SAML Response Sign PK.
		@param JP_SAML_Response_PublicKey SAML Response Sign PK	  */
	public void setJP_SAML_Response_PublicKey (String JP_SAML_Response_PublicKey)
	{
		set_Value (COLUMNNAME_JP_SAML_Response_PublicKey, JP_SAML_Response_PublicKey);
	}

	/** Get SAML Response Sign PK.
		@return SAML Response Sign PK	  */
	public String getJP_SAML_Response_PublicKey () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_Response_PublicKey);
	}

	/** Set SAML Servlet File.
		@param JP_SAML_ServletFile SAML Servlet File	  */
	public void setJP_SAML_ServletFile (String JP_SAML_ServletFile)
	{
		set_Value (COLUMNNAME_JP_SAML_ServletFile, JP_SAML_ServletFile);
	}

	/** Get SAML Servlet File.
		@return SAML Servlet File	  */
	public String getJP_SAML_ServletFile () 
	{
		return (String)get_Value(COLUMNNAME_JP_SAML_ServletFile);
	}
}